<script setup lang="ts">
import { useSalaryStore } from '@/stores/salary'
import { useUserStore } from '@/stores/user'
import { ref } from 'vue'
const salaryStore = useSalaryStore()
const userStore = useUserStore()
const form = ref(false)
const loading = ref(false)
const nostatus = ref(false)
const nosalarybaht = ref(false)


function save() {
  
  if (
      salaryStore.editedsalary.status === ' Not Paid ' ||
      salaryStore.editedsalary.status === ' Paid '
    ) {
  if (salaryStore.editedsalary.salarybaht && !isNaN(salaryStore.editedsalary.salarybaht)) {
    
      salaryStore.save()
    } else {
      
      nosalarybaht.value = !nosalarybaht.value
    }
  } else {
    nostatus.value = !nostatus.value
  }
}

function onSubmit() {
  form.value
}
</script>
<template>
  <v-dialog v-model="salaryStore.dialog" persistent width="1024">
    <v-card>
      <v-card-title>
        <span class="text-h5">Salary</span>
      </v-card-title>
      <v-card-text>
        <v-form ref="refForm" v-model="form" @submit.prevent="onSubmit">
          <v-container>
            <v-row>
              <v-col cols="12" sm="12" md="4">
                <v-text-field
                  v-model="salaryStore.editedsalary.month"
                  :readonly="loading"
                  :rules="[(v) => !!v || 'Please Enter month']"
                  class="mb-2"
                  clearable
                  label="Month"
                ></v-text-field>
              </v-col>
              <v-col cols="12" sm="12" md="4">
                <v-text-field
                  v-model="salaryStore.editedsalary.salarybaht"
                  :readonly="loading"
                  :rules="[(v) => !!v || 'Please Enter salarybaht']"
                  class="mb-2"
                  clearable
                  label="Salarybaht"
                ></v-text-field>
              </v-col>
              <!-- <v-col cols="12" sm="12" md="4">
                <v-text-field
                  v-model="salaryStore.editedsalary.status"
                  :readonly="loading"
                  :rules="[(v) => !!v || 'Please Enter status']"
                  class="mb-2"
                  clearable
                  label="Status"
                ></v-text-field>
              </v-col> -->
              <v-col cols="12" sm="12" md="4">
                <v-combobox
                  label="Status"
                  :items="[' Not Paid ',' Paid ']"
                  v-model="salaryStore.editedsalary.status"
                  
                  variant="solo-filled"
                ></v-combobox>
              </v-col>
            </v-row>
          </v-container>
        </v-form>
        <small>*indicates required field</small>
      </v-card-text>
      <v-card-actions>
        <v-spacer></v-spacer>
        <v-btn color="blue-darken-1" variant="text" @click="salaryStore.closeDialog()">
          Close
        </v-btn>
        <v-btn color="blue-darken-1" variant="text" @click="save()" :disabled="!form"> Save </v-btn>
      </v-card-actions>
    </v-card>
  </v-dialog>
  <v-dialog v-model="nosalarybaht" width="250">
    <template v-slot:default="{ isActive }">
      <v-card title="Warning">
        <v-card-text> Please enter a number. </v-card-text>

        <v-card-actions>
          <v-spacer></v-spacer>

          <v-btn text="Close" color="red" @click="isActive.value = false"></v-btn>
        </v-card-actions>
      </v-card>
    </template>
  </v-dialog>
  <v-dialog v-model="nostatus" width="250">
    <template v-slot:default="{ isActive }">
      <v-card title="Warning">
        <v-card-text> Please enter status. </v-card-text>

        <v-card-actions>
          <v-spacer></v-spacer>

          <v-btn text="Close" color="red" @click="isActive.value = false"></v-btn>
        </v-card-actions>
      </v-card>
    </template>
  </v-dialog>
</template>
